<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/rootView"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@android:color/transparent"
    tools:ignore="ResourceName">

    <com.yidianling.consultant.preview.SmoothImageView
        android:id="@+id/photoView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/black"
        android:scaleType="centerInside" />

    <RelativeLayout
        android:id="@+id/videoContainer"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <com.dou361.ijkplayer.widget.IjkVideoView
            android:id="@+id/videoView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_centerInParent="true"
            android:focusableInTouchMode="true" />


        <ImageView
            android:id="@+id/ivImage"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="gone"/>


        <ImageView
            android:id="@+id/ivPlay"
            android:layout_width="76dp"
            android:layout_height="76dp"
            android:layout_centerInParent="true"
            android:src="@drawable/ic_video_play"
            android:visibility="gone" />

    </RelativeLayout>

    <SeekBar
        android:id="@+id/seekbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="120dp"
        android:maxHeight="10dp"
        android:paddingStart="0dp"
        android:paddingTop="8dp"
        android:paddingEnd="0dp"
        android:paddingBottom="8dp"
        android:progressDrawable="@drawable/consultant_seekbar_style"
        android:splitTrack="false"
        android:thumb="@drawable/consultant_seekbar_thumb"
        android:visibility="gone"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent" />


    <LinearLayout
        android:id="@+id/loading"
        android:layout_width="103dp"
        android:layout_height="103dp"
        android:layout_centerInParent="true"
        android:background="@drawable/consultant_bg_loading"
        android:gravity="center"
        android:orientation="vertical">


        <ProgressBar
            style="?android:attr/progressBarStyleSmall"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_gravity="center" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/platform_dp_10"
            android:text="正在加载"
            android:textColor="@color/white" />


    </LinearLayout>


    <ImageView
        android:id="@+id/btnVideo"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:layout_centerInParent="true"
        android:alpha="0"
        android:visibility="gone" />

</RelativeLayout>